@echo off

echo.
if not exist ..\..\holywars\nul goto not_installed
if not exist ..\..\holywars\liblist.gam goto not_installed

if exist ..\..\holywars\liblist_before_BotMixer.gam goto already_installed
if exist ..\..\holywars\dlls\BotMaster5000.dll goto uninstall_botmaster

echo copying BotMixer5000.dll to holywars\dlls\BotMixer5000.dll
copy ..\BotMixer5000.dll ..\..\holywars\dlls

echo renaming holywars\dlls\holywars.dll to holywars\dlls\holywars_botmixer.dll
rename ..\..\holywars\dlls\holywars.dll holywars_botmixer.dll

echo copying fakedll.dll to holywars\dlls\holywars.dll
copy ..\fakedll.dll ..\..\holywars\dlls\holywars.dll

echo copying botmixer5000.cfg to holywars\botmixer5000.cfg
copy botmixer5000.cfg ..\..\holywars\botmixer5000.cfg

echo copying liblist_orig.gam to holywars\liblist_before_BotMixer.gam
copy liblist_orig.gam ..\..\holywars\liblist_before_BotMixer.gam

echo copying liblist.gam to holywars\liblist.gam
copy liblist.gam ..\..\holywars\liblist.gam

echo.
echo.
echo INSTALL COMPLETED SUCCESSFULLY!
goto done

:not_installed
echo HolyWars is NOT installed (or is in an unknown directory)
echo.
echo Installation unsucessfull!
goto done

:already_installed
echo BotMixer5000 add-on for HolyWars is ALREADY installed!
echo.
echo (Please run REMOVE then try running INSTALL again)
goto done

:uninstall_botmaster
echo You MUST uninstall BotMaster5000 first.  Use the Remove.bat batch file
echo in the BotMaster5000 MOD directory to uninstall BotMaster5000 before
echo installing BotMixer5000.
echo.
goto done

:done
echo.
echo.
pause
