@echo off

echo.
if not exist ..\..\tfc\nul goto not_installed
if not exist ..\..\tfc\liblist.gam goto not_installed

if not exist ..\..\tfc\liblist_before_BotMixer.gam goto no_BotMixer

REM compare the file size of fakedll and the current MOD dll...
..\filesize ..\..\tfc\dlls\tfc.dll ..\fakedll.dll
if ERRORLEVEL 1 goto removefake
goto skipfake

:removefake
del ..\..\tfc\dlls\tfc.dll

echo renaming tfc\dlls\tfc_botmixer.dll to tfc\dlls\tfc.dll
rename ..\..\tfc\dlls\tfc_botmixer.dll tfc.dll

:skipfake
echo.
echo deleting tfc\dlls\BotMixer5000.dll
del ..\..\tfc\dlls\BotMixer5000.dll

echo deleting tfc\botmixer5000.cfg
del ..\..\tfc\botmixer5000.cfg

del ..\..\tfc\liblist.gam

echo deleting tfc\liblist_before_BotMixer.gam
del ..\..\tfc\liblist_before_BotMixer.gam

echo copying liblist_orig.gam to tfc\liblist.gam
copy liblist_orig.gam ..\..\tfc\liblist.gam

echo.
echo.
echo UNINSTALL COMPLETED SUCCESSFULLY!
goto done

:not_installed
echo Team Fortress 1.5 is NOT installed (or is in an unknown directory)
echo.
echo Installation unsucessfull!
goto done

:no_BotMixer5000
echo BotMixer5000 add-on for Team Fortress 1.5 is NOT installed!
echo.
goto done

:done
echo.
echo.
pause
