@echo off

echo.
if not exist ..\..\valve\nul goto not_installed
if not exist ..\..\valve\liblist.gam goto not_installed

if exist ..\..\valve\liblist_before_BotMixer.gam goto already_installed
if exist ..\..\valve\dlls\BotMaster5000.dll goto uninstall_botmaster

echo copying BotMixer5000.dll to valve\dlls\BotMixer5000.dll
copy ..\BotMixer5000.dll ..\..\valve\dlls

echo renaming valve\dlls\hl.dll to valve\dlls\hl_botmixer.dll
rename ..\..\valve\dlls\hl.dll hl_botmixer.dll

echo copying fakedll.dll to valve\dlls\hl.dll
copy ..\fakedll.dll ..\..\valve\dlls\hl.dll

echo copying botmixer5000.cfg to valve\botmixer5000.cfg
copy botmixer5000.cfg ..\..\valve\botmixer5000.cfg

echo copying liblist_orig.gam to valve\liblist_before_BotMixer.gam
copy liblist_orig.gam ..\..\valve\liblist_before_BotMixer.gam

echo copying liblist.gam to valve\liblist.gam
copy liblist.gam ..\..\valve\liblist.gam

echo.
echo.
echo INSTALL COMPLETED SUCCESSFULLY!
goto done

:not_installed
echo Half-Life is NOT installed (or is in an unknown directory)
echo.
echo Installation unsucessfull!
goto done

:already_installed
echo BotMixer5000 add-on for Half-Life is ALREADY installed!
echo.
echo (Please run REMOVE then try running INSTALL again)
goto done

:uninstall_botmaster
echo You MUST uninstall BotMaster5000 first.  Use the Remove.bat batch file
echo in the BotMaster5000 MOD directory to uninstall BotMaster5000 before
echo installing BotMixer5000.
echo.
goto done

:done
echo.
echo.
pause
